Skip to main content
DELETE
/
api2
/
v1
/
automatedProjects
/
{settingsId}
Delete automated project settings
curl --request DELETE \
  --url https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

settingsId
string
required

Identifier of the automated project creation settings

Query Parameters

ignoreActiveProjects
boolean
default:false

When true, delete the APC even if it still has active projects

Response

No Content